Bug 12215 - freetype bug prohibits to build navit against shipped shared library
: freetype bug prohibits to build navit against shipped shared library
Status: RESOLVED FIXED
Product: Maemo 5 Community SSU
general
: unspecified
: N900 Maemo
: Unspecified enhancement (vote)
: ---
Assigned To: unassigned
: general
:
:
:
:
  Show dependency tree
 
Reported: 2011-05-07 22:39 UTC by Rainer Dorsch
Modified: 2012-03-21 18:22 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Rainer Dorsch (reporter) 2011-05-07 22:39:53 UTC
SOFTWARE VERSION: 
PR1.3

EXACT STEPS LEADING TO PROBLEM: 
1. apt-get source navit 
2. cd navit-0*
3. fakeroot dpkg-buildpackage

EXPECTED OUTCOME: 
Package which runs properly.

ACTUAL OUTCOME: 
If package is not statically linked against newer freetype library, navit
crashes on startup. It hits bug in freetype6 2.3.9 shipped with PR1.3

https://bugzilla.redhat.com/show_bug.cgi?id=513582

The page includes a patch for this bug. Also a newer version of freetype6
(2.3.10 or 2.3.11) reportedly fixes the problem.

REPRODUCIBILITY: 
always

EXTRA SOFTWARE INSTALLED: 
navit from
# Navit
deb http://www.chollya.org/navit ./
deb-src http://www.chollya.org/navit ./



OTHER COMMENTS: 
Building navit for the n900 is very troublesome (essentially need to include a
statically linked binary against newer freetype6 library). This issue is
documented here
http://wiki.navit-project.org/index.php/Navit_on_Scratchbox_for_N8x0 (see N900
Notes)
and here
http://wiki.maemo.org/Navit
Comment 1 Andre Klapper maemo.org 2011-05-08 12:23:47 UTC
There will not be non-critical changes to Maemo5 core by Nokia, if at all. I'm
moving this to Maemo 5 CSSU component as that's a better place to tackle this.
Comment 2 Rainer Dorsch (reporter) 2011-05-13 19:01:54 UTC
Here is the patch which is required for freetype 2.3.9

https://bugzilla.redhat.com/attachment.cgi?id=362766&action=diff&context=patch&collapsed=&headers=1&format=raw

I did build freetype with this patch and can confirm that it fixes the navit
problem.
Comment 3 Christian Ratzenhofer 2012-03-21 18:22:05 UTC
This has been fixed for the Community SSU Updates in package
libfreetype6 2.3.9-2osso2+0cssu1
which is part of the build version
21.2011.38-1Tmaemo2
(Note: 21.2011.38-1 is the latest official Nokia version.
The number after it indicates the Community SSU release version.)

For more information about Community SSU please see
http://wiki.maemo.org/Community_SSU